package com.tiesheng.core.pojos.dao;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tiesheng.core.pojos.DaoBase;
import java.util.Date;

/**
    * 配置-系统
    */
@TableName(value = "core_config_system")
public class CoreConfigSystem extends DaoBase {
    @TableField(value = "config_key")
    private String configKey;

    @TableField(value = "config_val")
    private String configVal;

    /**
     * 类型:0-文本,1-图片,2-文件
     */
    @TableField(value = "config_type")
    private Integer configType;

    /**
     * 说明
     */
    @TableField(value = "remark")
    private String remark;

    /**
     * 额外配置
     */
    @TableField(value = "extra")
    private String extra;

    /**
     * 0-否，1-是
     */
    @TableField(value = "read_only")
    private Integer readOnly;

    /**
     * @return config_key
     */
    public String getConfigKey() {
        return configKey;
    }

    /**
     * @param configKey
     */
    public void setConfigKey(String configKey) {
        this.configKey = configKey;
    }

    /**
     * @return config_val
     */
    public String getConfigVal() {
        return configVal;
    }

    /**
     * @param configVal
     */
    public void setConfigVal(String configVal) {
        this.configVal = configVal;
    }

    /**
     * 获取类型:0-文本,1-图片,2-文件
     *
     * @return config_type - 类型:0-文本,1-图片,2-文件
     */
    public Integer getConfigType() {
        return configType;
    }

    /**
     * 设置类型:0-文本,1-图片,2-文件
     *
     * @param configType 类型:0-文本,1-图片,2-文件
     */
    public void setConfigType(Integer configType) {
        this.configType = configType;
    }

    /**
     * 获取说明
     *
     * @return remark - 说明
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置说明
     *
     * @param remark 说明
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 获取额外配置
     *
     * @return extra - 额外配置
     */
    public String getExtra() {
        return extra;
    }

    /**
     * 设置额外配置
     *
     * @param extra 额外配置
     */
    public void setExtra(String extra) {
        this.extra = extra;
    }

    /**
     * 获取0-否，1-是
     *
     * @return read_only - 0-否，1-是
     */
    public Integer getReadOnly() {
        return readOnly;
    }

    /**
     * 设置0-否，1-是
     *
     * @param readOnly 0-否，1-是
     */
    public void setReadOnly(Integer readOnly) {
        this.readOnly = readOnly;
    }
}